SVN::Mirror(3)

NAME
SVN::Mirror - Mirror remote repository to local Subversion repository

SYNOPSIS
 my $m = SVN::Mirror->new (source => $url,
                           repos => '/path/to/repository',
                           target_path => '/mirror/project1'
                           repos_create => 1,
                           skip_to => 100
                          );
 $m->init;
 $m->run;

DESCRIPTION
SVN::Mirror allows you to mirror remote repository to your local subversion repository. Supported types of remote repository are:

Subversion
    with the SVN::Mirror::Ra backend.

CVS, Perforce
    with the SVN::Mirror::VCP backend through the VCP framework.

  find_remote_rev

AUTHORS
Chia-liang Kao <clkao@clkao.org>

COPYRIGHT
Copyright 2003-2005 by Chia-liang Kao <clkao@clkao.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>